Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.toolbox.arguments.filters
Class U3DFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          com.lowagie.toolbox.arguments.filters.U3DFilter

    public class U3DFilter

extends javax.swing.filechooser.FileFilter

Filters U3D files in a JFileChooser.

Since:
  2.1.1 (imported from itexttoolbox project)

Constructor Summary
`U3DFilter()`

Method Summary
`boolean` | `accept(java.io.File f)`
`java.lang.String` | `getDescription()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### U3DFilter

    public U3DFilter()

Method Detail

### accept

    public boolean accept(java.io.File f)

  Specified by:
    `accept` in class `javax.swing.filechooser.FileFilter`
  Parameters:
    `f` - File
  Returns:
    boolean
  See Also:
    `FileFilter.accept(java.io.File)`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in class `javax.swing.filechooser.FileFilter`
  Returns:
    String
  See Also:
    `FileFilter.getDescription()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD